> This page is for APIs, version Calculations.
> For other versions, use one of these documentation indexes:
> - Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
> - Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
> - E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
> - Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
> - Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
> - Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
> - 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
> - Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
> - ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
> - Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://avalara.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://avalara.ferndocs.com/_mcp/server.

# List Unit Of Measurement

GET https://rest.avatax.com/api/v2/definitions/unitofmeasurements

> **Access control:** this endpoint is available to users with the `everyone` role.

List all units of measurement systems defined by Avalara.
            
A unit of measurement system is a method of measuring a quantity, such as distance, mass, or others.

Reference: https://avalara.ferndocs.com/api-reference/calculations/ava-tax/public-reference/list-unit-of-measurement

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Query parameters

- `$filter` (string, optional) — A filter statement to identify specific records to retrieve. For more information on filtering, see [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/).*Not filterable:* id
- `$top` (integer, optional) — If nonzero, return no more than this number of results. Used with `$skip` to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.
- `$skip` (integer, optional) — If nonzero, skip this number of results before returning data. Used with `$top` to provide pagination for large datasets.
- `$orderBy` (string, optional) — A comma separated list of sort statements in the format `(fieldname) [ASC|DESC]`, for example `id ASC`.

### Headers

- `X-Avalara-Client` (string, optional, default: Swagger UI; 26.7.0; Custom; 1.0) — Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) .

## Response

### 200

Success

- `@recordsetCount` (integer, optional)
- `value` (list of UomModel, optional)
- `@nextLink` (string, optional)
- `pageKey` (string, optional)

## Types

### UomModel

The "Unit of Measurement" model captures information about a type of measurement. Types of measurement refer to different scales for the same dimension. For example, measurements of type "Distance" may include units of measurement such as meters, feet, inches, and miles.

- `id` (integer, optional) — The unique ID number of this unit of measurement.
- `code` (string, optional) — The code that refers to this unit of measurement.
- `shortDesc` (string, optional) — A short description of this unit of measurement.
- `description` (string, optional) — A longer description of this unit of measurement.
- `measurementTypeId` (integer, optional) — The ID number of the measurement type, such as "Distance" or "Mass".
- `measurementTypeCode` (string, optional) — The code describing the measurement type.
- `siUOM` (string, optional) — For a particular measurement type, this is the ID number of the unit of measurement object corresponding to the International System of Units (abbreviated SI) unit of measurement standard. This pointer allows you to select the SI unit of measurement for a particular measurement type.
- `measurementTypeDescription` (string, optional) — A description of the measurement type system.
- `isSiUom` (boolean, optional) — True if this measurement is an International System of Units (abbreviated SI) defined standard.

## Examples

**Response**

```json
{
  "@recordsetCount": 1,
  "value": [
    {
      "id": 2,
      "code": "British thermal unit (International Table)",
      "shortDesc": "British thermal unit (International Table)",
      "description": "British thermal unit (International Table)",
      "measurementTypeId": 1,
      "measurementTypeCode": "Energy",
      "siUOM": "374",
      "measurementTypeDescription": "Energy",
      "isSiUom": false
    }
  ],
  "@nextLink": "string",
  "pageKey": "string"
}
```

**SDK Code**

```python
import requests

url = "https://rest.avatax.com/api/v2/definitions/unitofmeasurements"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rest.avatax.com/api/v2/definitions/unitofmeasurements';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.avatax.com/api/v2/definitions/unitofmeasurements"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rest.avatax.com/api/v2/definitions/unitofmeasurements")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.avatax.com/api/v2/definitions/unitofmeasurements")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.avatax.com/api/v2/definitions/unitofmeasurements', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rest.avatax.com/api/v2/definitions/unitofmeasurements");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.avatax.com/api/v2/definitions/unitofmeasurements")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```